C2DFVectorfieldRegularizerKernel Class Referenceabstract
Image Registration and Transformation

`#include <mia/2d/vfregularizerkernel.hh>`

Inheritance diagram for C2DFVectorfieldRegularizerKernel:
[legend]
Collaboration diagram for C2DFVectorfieldRegularizerKernel:
[legend]

## Data Structures

class | CBuffers

## Public Types

typedef std::unique_ptr< CBuffers > | PBuffers
typedef C2DFVectorfield | plugin_data
typedef C2DFVectorfieldRegularizerKernel | plugin_type
typedef std::shared_ptr< C2DFVectorfieldRegularizerKernel > | Pointer
Public Types inherited from CPropertyFlagHolder
typedef std::set< const char * > | Set
| define the type of the set of flags

## Public Member Functions

| C2DFVectorfieldRegularizerKernel (bool has_pertuberation)
float | evaluate_pertuberation_row (unsigned y, CBuffers &buffers) const
float | evaluate_row (unsigned y, CBuffers &buffers)
float | evaluate_row_sparse (unsigned y, CBuffers &buffers)
unsigned | get_boundary_padding () const
PBuffers | get_buffers () const
bool | has_pertuberation () const
void | set_data_fields (C2DFVectorfield *output, const C2DFVectorfield *input)
void | set_update_fields (const T2DDatafield< unsigned char > *update_flags, T2DDatafield< unsigned char > *set_flags, T2DDatafield< float > *residua, float residual_thresh)
void | start_row (unsigned y, CBuffers &buffers) const
virtual | ~C2DFVectorfieldRegularizerKernel ()
Public Member Functions inherited from CProductBase
const char * | get_init_string () const
void | set_init_string (const char *init)
void | set_module (PPluginModule module)
Public Member Functions inherited from CPropertyFlagHolder
void | add (const char *property)
Set | get_missing_properties (const CPropertyFlagHolder &testset) const
bool | has (const char *property) const
bool | has_all_in (const CPropertyFlagHolder &testset) const
virtual | ~CPropertyFlagHolder ()

## Static Public Attributes

static const char * | type_descr

## Protected Member Functions

const C2DFVectorfield & | get_input_field () const
C2DFVectorfield & | get_output_field () const
T2DDatafield< float > & | get_residua () const
float | get_residual_thresh () const
T2DDatafield< unsigned char > & | get_set_flags () const
const T2DDatafield< unsigned char > & | get_update_flags () const

## Detailed Description

Kernel for iterative 2D vector field regularizer

This is the base class for a 2D vector field reguarlizer kernels that is typically used in non-linear registration to evaluate a velocity field from a force field by applying some regularization model on the input data.

Definition at line 41 of file 2d/vfregularizerkernel.hh.

## Member Typedef Documentation

## PBuffers

typedef std::unique_ptr<CBuffers> C2DFVectorfieldRegularizerKernel::PBuffers

Definition at line 53 of file 2d/vfregularizerkernel.hh.

## plugin_data

typedef C2DFVectorfield C2DFVectorfieldRegularizerKernel::plugin_data

Definition at line 45 of file 2d/vfregularizerkernel.hh.

## plugin_type

typedef C2DFVectorfieldRegularizerKernel C2DFVectorfieldRegularizerKernel::plugin_type

Definition at line 44 of file 2d/vfregularizerkernel.hh.

## Pointer

typedef std::shared_ptr< C2DFVectorfieldRegularizerKernel > C2DFVectorfieldRegularizerKernel::Pointer

Definition at line 57 of file 2d/vfregularizerkernel.hh.

## Constructor & Destructor Documentation

## C2DFVectorfieldRegularizerKernel()

C2DFVectorfieldRegularizerKernel::C2DFVectorfieldRegularizerKernel | ( | bool | has_pertuberation | ) |

References has_pertuberation().

## ~C2DFVectorfieldRegularizerKernel()

virtual C2DFVectorfieldRegularizerKernel::~C2DFVectorfieldRegularizerKernel | ( |  | ) |

virtual

## Member Function Documentation

## evaluate_pertuberation_row()

float C2DFVectorfieldRegularizerKernel::evaluate_pertuberation_row | ( | unsigned | y,
|  | CBuffers & | buffers ) const

## evaluate_row()

float C2DFVectorfieldRegularizerKernel::evaluate_row | ( | unsigned | y,
|  | CBuffers & | buffers )

## evaluate_row_sparse()

float C2DFVectorfieldRegularizerKernel::evaluate_row_sparse | ( | unsigned | y,
|  | CBuffers & | buffers )

## get_boundary_padding()

unsigned C2DFVectorfieldRegularizerKernel::get_boundary_padding | ( |  | ) | const

## get_buffers()

PBuffers C2DFVectorfieldRegularizerKernel::get_buffers | ( |  | ) | const

## get_input_field()

const C2DFVectorfield & C2DFVectorfieldRegularizerKernel::get_input_field | ( |  | ) | const

inline protected

Definition at line 126 of file 2d/vfregularizerkernel.hh.

Referenced by start_row().

## get_output_field()

C2DFVectorfield & C2DFVectorfieldRegularizerKernel::get_output_field | ( |  | ) | const

inline protected

Definition at line 120 of file 2d/vfregularizerkernel.hh.

Referenced by start_row().

## get_residua()

T2DDatafield< float > & C2DFVectorfieldRegularizerKernel::get_residua | ( |  | ) | const

inline protected

Definition at line 132 of file 2d/vfregularizerkernel.hh.

Referenced by start_row().

## get_residual_thresh()

float C2DFVectorfieldRegularizerKernel::get_residual_thresh | ( |  | ) | const

inline protected

Definition at line 150 of file 2d/vfregularizerkernel.hh.

Referenced by start_row().

## get_set_flags()

T2DDatafield< unsigned char > & C2DFVectorfieldRegularizerKernel::get_set_flags | ( |  | ) | const

inline protected

Definition at line 144 of file 2d/vfregularizerkernel.hh.

Referenced by start_row().

## get_update_flags()

const T2DDatafield< unsigned char > & C2DFVectorfieldRegularizerKernel::get_update_flags | ( |  | ) | const

inline protected

Definition at line 138 of file 2d/vfregularizerkernel.hh.

Referenced by start_row().

## has_pertuberation()

bool C2DFVectorfieldRegularizerKernel::has_pertuberation | ( |  | ) | const

inline

Definition at line 114 of file 2d/vfregularizerkernel.hh.

Referenced by C2DFVectorfieldRegularizerKernel(), and start_row().

## set_data_fields()

void C2DFVectorfieldRegularizerKernel::set_data_fields | ( | C2DFVectorfield * | output,
|  | const C2DFVectorfield * | input )

## set_update_fields()

void C2DFVectorfieldRegularizerKernel::set_update_fields | ( | const T2DDatafield< unsigned char > * | update_flags,
|  | T2DDatafield< unsigned char > * | set_flags,
|  | T2DDatafield< float > * | residua,
|  | float | residual_thresh )

## start_row()

void C2DFVectorfieldRegularizerKernel::start_row | ( | unsigned | y,
|  | CBuffers & | buffers ) const

References get_input_field(), get_output_field(), get_residua(), get_residual_thresh(), get_set_flags(), get_update_flags(), and has_pertuberation().

## Field Documentation

## type_descr

const char* C2DFVectorfieldRegularizerKernel::type_descr

static

Definition at line 55 of file 2d/vfregularizerkernel.hh.

The documentation for this class was generated from the following file:

- 2d/vfregularizerkernel.hh